# $Revision: 1.16 $, $Date: 2002/08/13 20:41:50 $
Summary:	KXL - a visual & sound library
Summary(pl):	KXL - biblioteka X11 - dwik i grafika
Name:		KXL
Version:	1.1.5
Release:	3
License:	GPL
Group:		X11/Libraries
Source0:	http://kxl.hn.org/download/%{name}-%{version}.tar.gz
URL:		http://kxl.hn.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Kacchan X Windows System Library (KXL) is a visual & sound library.

%description -l pl
Kacchan X Windows System Library (KXL) to biblioteka dwiku i
grafiki.

%package devel
Summary:	Development resources for KXL
Summary(pl):	Pliki nagwkowe i doumentacja do KXL
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development resources for KXL.

%description devel -l pl
Pliki nagwkowe i dokumentacja do KXL.

%package static
Summary:	Static KXL library
Summary(pl):	Statyczna biblioteka KXL
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static KXL library.

%description static -l pl
Statyczna biblioteka KXL.

%prep
%setup -q

%build
# libKXL uses libX11, so should be linked with it:
echo 'libKXL_la_LIBADD = -L/usr/X11R6/lib -lX11' >> src/Makefile.am
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aclocaldir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/lib%{name}-%{version}.so
%attr(755,root,root) %{_libdir}/lib%{name}.la

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib%{name}.so
%{_includedir}/*
%{_aclocaldir}/KXL.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib%{name}.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: KXL.spec,v $
Revision 1.16  2002/08/13 20:41:50  kloczek
- release 3: fix Source url.

Revision 1.15  2002/08/13 12:19:08  kloczek
- release 2: uspdayted URL and Source url.

Revision 1.14  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.13  2002/05/25 20:15:33  kloczek
- use new %doc infrastructure.

Revision 1.12  2002/05/21 23:12:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/13 16:53:07  kloczek
- updated to 1.1.5 (new stable version required by grande).

Revision 1.8  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/10 10:41:15  qboosh
- fixed libKXL linking, BuildRequires: XFree86-libs
- fixed libKXL.so symlink mess
- release 2

Revision 1.6  2001/12/07 16:54:33  fastviper
- version 1.1.4
- revision 1
- see Changelog to learn what have been fixed in KXL
- removed .so files from static subpackage.
- removed KXL.html from package -- it's in japaneese

Revision 1.5  2001/11/12 11:55:32  kloczek
- release 2.

Revision 1.4  2001/11/12 08:41:59  qboosh
- typos, fixed subpackages Requires

Revision 1.3  2001/11/10 18:03:27  kloczek
- added devel and static subpackage,
- fixed library verisioning (added lib_version patch),
- regenerate ac/am/lt files,
- use more macros,
- gzip %doc and remove COPYING from %doc (License is GPL).

Revision 1.2  2001/11/10 17:52:10  fastviper
- added %post section with /sbin/ldconfig

Revision 1.1  2001/11/10 16:11:39  fastviper
- fixed make install KLX.m4 problem
- made adapter.awk checkout
- added polish description

Based on spec by SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
